Bug 170735 - Update multimedia/mplayer and mencoder to a recent snapshot
Summary: Update multimedia/mplayer and mencoder to a recent snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Juergen Lock
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 13:20 UTC by Thomas Zander
Modified: 2012-09-02 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (15.64 KB, patch)
2012-08-18 13:20 UTC, Thomas Zander
no flags Details | Diff
m.diff.txt (16.34 KB, text/plain; charset=US-ASCII)
2012-08-27 18:55 UTC, Thomas Zander
no flags Details
m.diff.txt (16.36 KB, text/plain; charset=US-ASCII)
2012-08-29 18:55 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2012-08-18 13:20:08 UTC
Update multimedia/mplayer and mencoder to a recent snapshot.

CFT on ports mailing list did not report any more problems for a couple of weeks.

Fix: Patch is attached for both ports.

Patch attached with submission follows:
Comment 1 Thomas Zander 2012-08-27 18:55:16 UTC
The attached revision of the patch allows mplayer/mencoder to compile
and link to Juergen Lock's upcoming patch to liveMedia.
Please use this patch when liveMedia gets updated instead of the
original submission.

Thanks
Riggs
Comment 2 Thomas Zander 2012-08-29 18:55:00 UTC
Slight correction. On some systems compilation with the new LDFLAGS
tweaks for liveMedia fails if not explicitly linked to stdc++.
Please use the attached file when committing.
Thx
Riggs
Comment 3 Michael Scheidell freebsd_committer 2012-08-31 09:02:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 dfilter service freebsd_committer 2012-09-01 15:13:25 UTC
Author: nox
Date: Sat Sep  1 14:13:10 2012
New Revision: 303481
URL: http://svn.freebsd.org/changeset/ports/303481

Log:
  Update to 2012-07-21 snapshot.
  
  PR:		ports/170735
  Submitted by:	Thomas Zander <thomas.e.zander@googlemail.com> (maintainer)

Added:
  head/multimedia/mplayer/files/patch-ffmpeg-Makefile   (contents, props changed)
Modified:
  head/multimedia/mplayer/Makefile   (contents, props changed)
  head/multimedia/mplayer/Makefile.options   (contents, props changed)
  head/multimedia/mplayer/Makefile.shared   (contents, props changed)
  head/multimedia/mplayer/distinfo   (contents, props changed)
  head/multimedia/mplayer/files/extra-patch-base_system_gcc   (contents, props changed)
  head/multimedia/mplayer/files/extra-patch-base_system_log2f   (contents, props changed)
  head/multimedia/mplayer/files/patch-configure   (contents, props changed)
  head/multimedia/mplayer/files/patch-libavcodec-Makefile   (contents, props changed)

Modified: head/multimedia/mplayer/Makefile
==============================================================================
--- head/multimedia/mplayer/Makefile	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/Makefile	Sat Sep  1 14:13:10 2012	(r303481)
@@ -7,7 +7,6 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	2
 
 COMMENT=	High performance media player supporting many formats
 
@@ -16,7 +15,7 @@ COMMENT=	High performance media player s
 OPTIONS=	DEBUG "Include debug symbols in mplayer's binaries" off
 OPTIONS+=	RTCPU "Allow runtime CPU detection" on
 OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
-OPTIONS+=	OTCHAIN "Use up-to-date toolchain (gcc 4.6)" on
+OPTIONS+=	OTCHAIN "Use gcc 4.6+ toolchain on legacy systems" off
 OPTIONS+=	IPV6 "Include inet6 network support" on
 OPTIONS+=	X11 "Enable X11 support for mplayer's video output" on
 OPTIONS+=	X11XV "X11 video drivers: XV" on
@@ -129,7 +128,7 @@ CONFIGURE_ARGS+=--disable-dga1 --disable
 .endif
 .if !defined(WITHOUT_X11GL)
 USE_XORG+=	glproto
-LIB_DEPENDS+=	GL.1:${PORTSDIR}/graphics/libGL
+LIB_DEPENDS+=	GL:${PORTSDIR}/graphics/libGL
 .else
 CONFIGURE_ARGS+=--disable-gl
 .endif
@@ -153,7 +152,7 @@ CONFIGURE_ARGS+=--disable-x11 \
 .endif
 
 .if defined(WITH_VDPAU)
-LIB_DEPENDS+=	vdpau.1:${PORTSDIR}/multimedia/libvdpau
+LIB_DEPENDS+=	vdpau:${PORTSDIR}/multimedia/libvdpau
 .else
 CONFIGURE_ARGS+=	--disable-vdpau
 .endif
@@ -167,19 +166,19 @@ CONFIGURE_ARGS+=	--disable-rtc
 .endif
 
 .if defined(WITH_ARTS)
-LIB_DEPENDS+=	artsc.0:${PORTSDIR}/audio/arts
+LIB_DEPENDS+=		artsc:${PORTSDIR}/audio/arts
 .else
 CONFIGURE_ARGS+=	--disable-arts
 .endif
 
 .if defined(WITH_LIBCACA)
-LIB_DEPENDS+=caca.0:${PORTSDIR}/graphics/libcaca
+LIB_DEPENDS+=		caca:${PORTSDIR}/graphics/libcaca
 .else
 CONFIGURE_ARGS+=	--disable-caca
 .endif
 
 .if defined(WITH_LIRC)
-LIB_DEPENDS+=	lirc_client.2:${PORTSDIR}/comms/lirc
+LIB_DEPENDS+=		lirc_client:${PORTSDIR}/comms/lirc
 .else
 CONFIGURE_ARGS+=	--disable-lirc
 .endif
@@ -193,13 +192,13 @@ CONFIGURE_ARGS+=	--disable-sdl
 .endif
 
 .if defined(WITH_SVGALIB)
-LIB_DEPENDS+=	vga.1:${PORTSDIR}/graphics/svgalib
+LIB_DEPENDS+=		vga:${PORTSDIR}/graphics/svgalib
 .else
 CONFIGURE_ARGS+=	--disable-svga
 .endif
 
 .if defined(WITH_AALIB)
-LIB_DEPENDS+=	aa.1:${PORTSDIR}/graphics/aalib
+LIB_DEPENDS+=		aa:${PORTSDIR}/graphics/aalib
 .else
 CONFIGURE_ARGS+=	--disable-aa
 .endif
@@ -224,7 +223,7 @@ CONFIGURE_ARGS+=--disable-joystick
 .endif
 
 .if defined(WITH_ENCA)
-LIB_DEPENDS+=	enca.5:${PORTSDIR}/converters/enca
+LIB_DEPENDS+=		enca:${PORTSDIR}/converters/enca
 .else
 CONFIGURE_ARGS+=	--disable-enca
 .endif

Modified: head/multimedia/mplayer/Makefile.options
==============================================================================
--- head/multimedia/mplayer/Makefile.options	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/Makefile.options	Sat Sep  1 14:13:10 2012	(r303481)
@@ -55,12 +55,26 @@ CFLAGS+=	-O3 -fomit-frame-pointer -ffast
 CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif
 
+.if ${OSVERSION} >= 900033
+WITH_BASE_CLANG=yes
+.endif
+
+.if defined(WITH_BASE_CLANG)
+CC=		clang
+CXX=		clang++
+.else
 .if defined(WITH_OTCHAIN)
 USE_GCC?=	4.6+
 BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
 .else
 CONFIGURE_ARGS+=--disable-ssse3 --disable-fast-cmov
 EXTRA_PATCHES+=	${FILESDIR}/extra-patch-base_system_gcc
+.if ${ARCH} == "amd64"
+BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
+CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
+MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
+.endif
+.endif
 .endif
 
 .if defined(WITHOUT_IPV6)
@@ -70,37 +84,37 @@ CATEGORIES+=	ipv6
 .endif
 
 .if !defined(WITHOUT_LIBUNGIF)
-LIB_DEPENDS+=	gif.5:${PORTSDIR}/graphics/giflib
+LIB_DEPENDS+=		gif:${PORTSDIR}/graphics/giflib
 .else
 CONFIGURE_ARGS+=	--disable-gif
 .endif
 
 .if defined(WITH_OPENJPEG)
-LIB_DEPENDS+=		openjpeg.2:${PORTSDIR}/graphics/openjpeg
+LIB_DEPENDS+=		openjpeg:${PORTSDIR}/graphics/openjpeg
 .else
 CONFIGURE_ARGS+=	--disable-libopenjpeg
 .endif
 
 .if defined(WITH_MAD)
-LIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/libmad
+LIB_DEPENDS+=		mad:${PORTSDIR}/audio/libmad
 .else
 CONFIGURE_ARGS+=	--disable-mad
 .endif
 
 .if defined(WITH_LIBDV)
-LIB_DEPENDS+=	dv.4:${PORTSDIR}/multimedia/libdv
+LIB_DEPENDS+=		dv:${PORTSDIR}/multimedia/libdv
 .else
 CONFIGURE_ARGS+=	--disable-libdv
 .endif
 
 .if defined(WITH_THEORA)
-LIB_DEPENDS+=	theora.0:${PORTSDIR}/multimedia/libtheora
+LIB_DEPENDS+=		theora:${PORTSDIR}/multimedia/libtheora
 .else
 CONFIGURE_ARGS+=	--disable-theora
 .endif
 
 .if defined(WITH_VPX)
-LIB_DEPENDS+=		vpx.1:${PORTSDIR}/multimedia/libvpx
+LIB_DEPENDS+=		vpx:${PORTSDIR}/multimedia/libvpx
 .else
 CONFIGURE_ARGS+=	--disable-libvpx-lavc
 .endif
@@ -112,26 +126,39 @@ CONFIGURE_ARGS+=	--disable-libschroeding
 .endif
 
 .if !defined(WITHOUT_SPEEX)
-LIB_DEPENDS+=	speex.1:${PORTSDIR}/audio/speex
+LIB_DEPENDS+=		speex:${PORTSDIR}/audio/speex
 .else
 CONFIGURE_ARGS+=	--disable-speex
 .endif
 
 .if defined(WITH_LIVEMEDIA)
-#RUN_DEPENDS+=		${LOCALBASE}/live/liveMedia/libliveMedia.a:${PORTSDIR}/net/liveMedia
+CONFIGURE_ARGS+=	--enable-live
 BUILD_DEPENDS+=		${LOCALBASE}/live/liveMedia/libliveMedia.a:${PORTSDIR}/net/liveMedia
+CFLAGS+=		-I${LOCALBASE}/live/liveMedia/include \
+			-I${LOCALBASE}/live/BasicUsageEnvironment/include \
+			-I${LOCALBASE}/live/UsageEnvironment/include \
+			-I${LOCALBASE}/live/groupsock/include
+LDFLAGS+=		-L${LOCALBASE}/live/liveMedia \
+			-L${LOCALBASE}/live/BasicUsageEnvironment \
+			-L${LOCALBASE}/live/UsageEnvironment \
+			-L${LOCALBASE}/live/groupsock \
+			-lliveMedia \
+			-lUsageEnvironment \
+			-lBasicUsageEnvironment \
+			-lgroupsock \
+			-lstdc++
 .else
 CONFIGURE_ARGS+=	--disable-live
 .endif
 
 .if defined(WITH_JACK)
-LIB_DEPENDS+=	jack.0:${PORTSDIR}/audio/jack
+LIB_DEPENDS+=		jack:${PORTSDIR}/audio/jack
 .else
 CONFIGURE_ARGS+=	--disable-jack
 .endif
 
 .if defined(WITH_NAS)
-LIB_DEPENDS+=		audio.2:${PORTSDIR}/audio/nas
+LIB_DEPENDS+=		audio:${PORTSDIR}/audio/nas
 .else
 CONFIGURE_ARGS+=	--disable-nas
 .endif
@@ -143,37 +170,37 @@ CONFIGURE_ARGS+=	--disable-openal
 .endif
 
 .if defined(WITH_PULSE)
-LIB_DEPENDS+=		pulse.0:${PORTSDIR}/audio/pulseaudio
+LIB_DEPENDS+=		pulse:${PORTSDIR}/audio/pulseaudio
 .else
 CONFIGURE_ARGS+=	--disable-pulse
 .endif
 
 .if defined(WITH_BLURAY)
-LIB_DEPENDS+=		bluray.2:${PORTSDIR}/multimedia/libbluray
+LIB_DEPENDS+=		bluray:${PORTSDIR}/multimedia/libbluray
 .else
 CONFIGURE_ARGS+=	--disable-bluray
 .endif
 
 .if defined(WITH_SMB)
-LIB_DEPENDS+=		smbclient.0:${PORTSDIR}/net/samba-libsmbclient
+LIB_DEPENDS+=		smbclient:${PORTSDIR}/net/samba-libsmbclient
 .else
 CONFIGURE_ARGS+=	--disable-smb
 .endif
 
 .if defined(WITH_FRIBIDI)
-LIB_DEPENDS+=	fribidi.3:${PORTSDIR}/converters/fribidi
+LIB_DEPENDS+=		fribidi:${PORTSDIR}/converters/fribidi
 .else
 CONFIGURE_ARGS+=	--disable-fribidi
 .endif
 
 .if defined(WITH_CDPARANOIA)
-LIB_DEPENDS+=	cdda_paranoia.0:${PORTSDIR}/audio/cdparanoia
+LIB_DEPENDS+=		cdda_paranoia:${PORTSDIR}/audio/cdparanoia
 .else
 CONFIGURE_ARGS+=	--disable-cdparanoia
 .endif
 
 .if defined(WITH_LIBCDIO) && !defined(WITH_CDPARANOIA)
-LIB_DEPENDS+=	cdio.13:${PORTSDIR}/sysutils/libcdio
+LIB_DEPENDS+=		cdio:${PORTSDIR}/sysutils/libcdio
 .else
 CONFIGURE_ARGS+=	--disable-libcdio
 .endif
@@ -185,7 +212,7 @@ CONFIGURE_ARGS+=	--disable-ladspa
 .endif
 
 .if defined(WITH_LIBLZO)
-LIB_DEPENDS+=		lzo2.2:${PORTSDIR}/archivers/lzo2
+LIB_DEPENDS+=		lzo2:${PORTSDIR}/archivers/lzo2
 .else
 CONFIGURE_ARGS+=	--disable-liblzo
 .endif
@@ -222,7 +249,7 @@ CONFIGURE_ARGS+=	--disable-real
 .endif
 
 .if defined(WITH_AMR_NB) || defined (WITH_AMR_WB)
-LIB_DEPENDS+=	opencore-amrnb.0:${PORTSDIR}/audio/opencore-amr
+LIB_DEPENDS+=		opencore-amrnb:${PORTSDIR}/audio/opencore-amr
 .endif
 
 .ifdef(WITHOUT_AMR_NB)
@@ -234,7 +261,7 @@ CONFIGURE_ARGS+=	--disable-libopencore_a
 .endif
 
 .ifdef(WITH_GSM)
-LIB_DEPENDS+=	gsm.1:${PORTSDIR}/audio/gsm
+LIB_DEPENDS+=		gsm:${PORTSDIR}/audio/gsm
 .else
 CONFIGURE_ARGS+=	--disable-libgsm
 .endif
@@ -251,7 +278,7 @@ CONFIGURE_ARGS+=	--disable-tv-v4l1 \
 .endif
 
 .if defined(WITH_LIBRTMP)
-LIB_DEPENDS+=	rtmp.0:${PORTSDIR}/multimedia/rtmpdump
+LIB_DEPENDS+=		rtmp:${PORTSDIR}/multimedia/rtmpdump
 CONFIGURE_ARGS+=	--enable-librtmp
 EXTRA_LIBS+=		-lrtmp
 .else
@@ -259,7 +286,7 @@ CONFIGURE_ARGS+=	--disable-librtmp
 .endif
 
 .if defined(WITH_MNG)
-LIB_DEPENDS+=		mng.1:${PORTSDIR}/graphics/libmng
+LIB_DEPENDS+=		mng:${PORTSDIR}/graphics/libmng
 .else
 CONFIGURE_ARGS+=	--disable-mng
 .endif

Modified: head/multimedia/mplayer/Makefile.shared
==============================================================================
--- head/multimedia/mplayer/Makefile.shared	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/Makefile.shared	Sat Sep  1 14:13:10 2012	(r303481)
@@ -4,12 +4,11 @@
 #
 # $FreeBSD$
 
-MPLAYER_SNAPSHOT_DATE=	2012-03-22
-MPLAYER_PORT_VERSION=	1.0.r${MPLAYER_SNAPSHOT_DATE:S/-//g}
+MPLAYER_SNAPSHOT_DATE=	2012-07-21
+MPLAYER_PORT_VERSION=	1.1.r${MPLAYER_SNAPSHOT_DATE:S/-//g}
 CATEGORIES?=	multimedia audio
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE} \
-		http://www.rrr.de/~riggs/mplayer/
-DISTNAME=	mplayer-${MPLAYER_PORT_VERSION:S/.r/rc/g}
+MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+DISTNAME=	mplayer-${MPLAYER_PORT_VERSION:S/.r/./g}
 WRKSRC=		${WRKDIR}/mplayer-export-${MPLAYER_SNAPSHOT_DATE}
 
 PROJECTHOST=	bsdistfiles
@@ -19,7 +18,7 @@ MAINTAINER?=	thomas.e.zander@googlemail.
 LICENSE=	GPLv2
 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		freetype.9:${PORTSDIR}/print/freetype2
+		freetype:${PORTSDIR}/print/freetype2
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/yasm:${PORTSDIR}/devel/yasm
 

Modified: head/multimedia/mplayer/distinfo
==============================================================================
--- head/multimedia/mplayer/distinfo	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/distinfo	Sat Sep  1 14:13:10 2012	(r303481)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.0rc20120322.tar.xz) = 602a5a1c4e25ae054fdc2df49c19672b189978df12617748feb5307ff16b33cd
-SIZE (mplayer-1.0rc20120322.tar.xz) = 10033056
+SHA256 (mplayer-1.1.20120721.tar.xz) = 30b120bf8543b7cfad36272e3ae29a017282caa90f4d635fe157f29036393787
+SIZE (mplayer-1.1.20120721.tar.xz) = 10480368

Modified: head/multimedia/mplayer/files/extra-patch-base_system_gcc
==============================================================================
--- head/multimedia/mplayer/files/extra-patch-base_system_gcc	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/files/extra-patch-base_system_gcc	Sat Sep  1 14:13:10 2012	(r303481)
@@ -11,15 +11,6 @@
  
 --- configure.orig	2011-12-31 00:40:03.990976000 +0100
 +++ configure	2011-12-31 01:33:51.407685009 +0100
-@@ -1533,7 +1533,7 @@
- fi
- 
- extra_cflags="-I. -Iffmpeg $extra_cflags"
--extra_ldflags="-lm $extra_ldflags"
-+extra_ldflags="-lm $extra_ldflags -L$_prefix/lib"
- _timer=timer-linux.c
- _getch=getch2.c
- 
 @@ -2683,10 +2683,6 @@
  def_ebx_available='#define HAVE_EBX_AVAILABLE 0'
  def_xmm_clobbers='#define HAVE_XMM_CLOBBERS 0'

Modified: head/multimedia/mplayer/files/extra-patch-base_system_log2f
==============================================================================
--- head/multimedia/mplayer/files/extra-patch-base_system_log2f	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/files/extra-patch-base_system_log2f	Sat Sep  1 14:13:10 2012	(r303481)
@@ -1,15 +1,15 @@
---- configure.orig	2011-12-15 15:01:05.000000000 +0100
-+++ configure	2012-01-28 17:33:54.674887100 +0100
-@@ -3107,7 +3107,7 @@
+--- configure.orig	2012-07-24 20:47:24.721531229 +0200
++++ configure	2012-07-24 20:49:56.207569906 +0200
+@@ -3130,7 +3130,7 @@
  echores "$_kstat"
  
  
--for func in cbrtf exp2 exp2f llrint llrintf log2 log2f lrint lrintf round roundf trunc truncf; do
-+for func in cbrtf exp2 exp2f llrint llrintf lrint lrintf round roundf trunc truncf; do
+-for func in cbrtf exp2 exp2f isnan isinf llrint llrintf log2 log2f lrint lrintf rint round roundf trunc truncf; do
++for func in cbrtf exp2 exp2f isnan isinf llrint llrintf lrint lrintf rint round roundf trunc truncf; do
  echocheck $func
  eval _$func=no
  statement_check math.h "${func}(2.0)" -D_ISOC99_SOURCE && eval _$func=yes
-@@ -3119,7 +3119,9 @@
+@@ -3142,7 +3142,9 @@
    echores no
  fi
  done

Modified: head/multimedia/mplayer/files/patch-configure
==============================================================================
--- head/multimedia/mplayer/files/patch-configure	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/files/patch-configure	Sat Sep  1 14:13:10 2012	(r303481)
@@ -17,6 +17,15 @@
      ;;
  
    esac
+@@ -1533,7 +1533,7 @@
+ fi
+ 
+ extra_cflags="-I. -Iffmpeg $extra_cflags"
+-extra_ldflags="-lm $extra_ldflags"
++extra_ldflags="-lm $extra_ldflags -L$_prefix/lib"
+ _timer=timer-linux.c
+ _getch=getch2.c
+ 
 @@ -3576,7 +3575,7 @@
  if linux ; then
    THREAD_CFLAGS=-D_REENTRANT

Added: head/multimedia/mplayer/files/patch-ffmpeg-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer/files/patch-ffmpeg-Makefile	Sat Sep  1 14:13:10 2012	(r303481)
@@ -0,0 +1,11 @@
+--- ffmpeg/Makefile.orig	2012-06-29 19:20:03.000000000 +0200
++++ ffmpeg/Makefile	2012-07-21 18:47:01.068697043 +0200
+@@ -82,7 +82,7 @@
+ $(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
+ SUBDIR := $(1)/
+ include $(SRC_PATH)/$(1)/Makefile
+--include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
++-include $(SRC_PATH)/$(1)/$(MPLAYER_ARCH)/Makefile
+ include $(SRC_PATH)/library.mak
+ endef
+ 

Modified: head/multimedia/mplayer/files/patch-libavcodec-Makefile
==============================================================================
--- head/multimedia/mplayer/files/patch-libavcodec-Makefile	Sat Sep  1 14:10:54 2012	(r303480)
+++ head/multimedia/mplayer/files/patch-libavcodec-Makefile	Sat Sep  1 14:13:10 2012	(r303481)
@@ -1,18 +1,11 @@
---- ffmpeg/libavcodec/Makefile.orig	2012-03-21 19:20:05.000000000 +0100
-+++ ffmpeg/libavcodec/Makefile	2012-03-22 16:12:43.333951792 +0100
-@@ -735,12 +735,14 @@
- # well.
- OBJS-$(!CONFIG_SMALL)                  += inverse.o
- 
-+-include $(SRC_PATH)/$(SUBDIR)$(MPLAYER_ARCH)/Makefile
-+
- SKIPHEADERS                            += %_tablegen.h                  \
-                                           %_tables.h                    \
-                                           aac_tablegen_decl.h           \
+--- ffmpeg/libavcodec/Makefile.orig	2012-07-20 19:20:04.000000000 +0200
++++ ffmpeg/libavcodec/Makefile	2012-07-21 18:25:12.582670118 +0200
+@@ -788,7 +788,7 @@
+                                           codec_names.h                 \
                                            fft-internal.h                \
                                            tableprint.h                  \
--                                          $(ARCH)/vp56_arith.h
-+                                          $(MPLAYER_ARCH)/vp56_arith.h
+-                                          $(ARCH)/vp56_arith.h          \
++                                          $(MPLAYER_ARCH)/vp56_arith.h  \
+ 
  SKIPHEADERS-$(CONFIG_DXVA2)            += dxva2.h dxva2_internal.h
- SKIPHEADERS-$(CONFIG_LIBDIRAC)         += libdirac.h
  SKIPHEADERS-$(CONFIG_LIBSCHROEDINGER)  += libschroedinger.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell freebsd_committer 2012-09-01 15:37:31 UTC
Responsible Changed
From-To: scheidell->nox

yours now
Comment 6 dfilter service freebsd_committer 2012-09-01 16:22:24 UTC
Author: nox
Date: Sat Sep  1 15:22:09 2012
New Revision: 303483
URL: http://svn.freebsd.org/changeset/ports/303483

Log:
  Also update mencoder to 2012-07-21 snapshot that I missed.
  
  PR:		ports/170735
  Submitted by:	Thomas Zander <thomas.e.zander@googlemail.com> (maintainer)
  Apologies to:	scheidell for missing that he took the PR

Modified:
  head/multimedia/mencoder/Makefile   (contents, props changed)
  head/multimedia/mencoder/distinfo   (contents, props changed)

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Sat Sep  1 15:14:51 2012	(r303482)
+++ head/multimedia/mencoder/Makefile	Sat Sep  1 15:22:09 2012	(r303483)
@@ -6,17 +6,15 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	3
 
 COMMENT=	Convenient video file and movie encoder
-RESTRICTED=	Port has restricted dependencies
 
 .include "${.CURDIR}/../mplayer/Makefile.shared"
 
 OPTIONS=	DEBUG "Include debug symbols in mencoder's binary" off
 OPTIONS+=	RTCPU "Allow runtime CPU detection" on
 OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
-OPTIONS+=	OTCHAIN "Use up-to-date toolchain (gcc 4.6)" on
+OPTIONS+=	OTCHAIN "Use gcc 4.6+ toolchain on legacy systems" off
 OPTIONS+=	IPV6 "Include inet6 network support" on
 OPTIONS+=	JACK "Enable JackIt audio server support" off
 OPTIONS+=	NAS "Enable NAS sound server support" off
@@ -55,6 +53,8 @@ OPTIONS+=	LIBRTMP "Enable RTMPDump Strea
 
 MAN1=		mencoder.1
 
+RESTRICTED=	Port has restricted dependencies
+
 PATCHDIR=	${.CURDIR}/../mplayer/files
 FILESDIR=	${PATCHDIR}
 DATADIR=	${PREFIX}/share/mplayer
@@ -70,7 +70,7 @@ TOOLFILES=	aconvert.sh binary_codecs.sh 
 
 .include <bsd.port.pre.mk>
 
-LIB_DEPENDS+=	mp3lame.0:${PORTSDIR}/audio/lame
+LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
 
 CONFIGURE_ARGS+=	--disable-mplayer \
 			--disable-libdca \
@@ -95,37 +95,37 @@ ALL_TARGET=	mencoder
 .include "${.CURDIR}/../mplayer/Makefile.options"
 
 .if defined(WITH_FONTCONFIG)
-LIB_DEPENDS+=	fontconfig.1:${PORTSDIR}/x11-fonts/fontconfig
+LIB_DEPENDS+=		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
 .else
 CONFIGURE_ARGS+=	--disable-fontconfig
 .endif
 
 .if defined(WITH_TWOLAME)
-LIB_DEPENDS+=	twolame.0:${PORTSDIR}/audio/twolame
+LIB_DEPENDS+=		twolame:${PORTSDIR}/audio/twolame
 .else
 CONFIGURE_ARGS+=	--disable-twolame
 .endif
 
 .if defined(WITH_FAAC)
-LIB_DEPENDS+=	faac.0:${PORTSDIR}/audio/faac
+LIB_DEPENDS+=		faac:${PORTSDIR}/audio/faac
 .else
 CONFIGURE_ARGS+=	--disable-faac
 .endif
 
 .if !defined(WITHOUT_X264)
-LIB_DEPENDS+=	x264.125:${PORTSDIR}/multimedia/x264
+LIB_DEPENDS+=		x264.125:${PORTSDIR}/multimedia/x264
 .else
 CONFIGURE_ARGS+=	--disable-x264
 .endif
 
 .if !defined(WITHOUT_XVID)
-LIB_DEPENDS+=		xvidcore.4:${PORTSDIR}/multimedia/xvid
+LIB_DEPENDS+=		xvidcore:${PORTSDIR}/multimedia/xvid
 .else
 CONFIGURE_ARGS+=	--disable-xvid
 .endif
 
 .ifdef(WITH_DIRAC)
-LIB_DEPENDS+=		dirac_encoder.1:${PORTSDIR}/multimedia/dirac
+LIB_DEPENDS+=		dirac_encoder:${PORTSDIR}/multimedia/dirac
 .else
 CONFIGURE_ARGS+=	--disable-libdirac-lavc
 .endif

Modified: head/multimedia/mencoder/distinfo
==============================================================================
--- head/multimedia/mencoder/distinfo	Sat Sep  1 15:14:51 2012	(r303482)
+++ head/multimedia/mencoder/distinfo	Sat Sep  1 15:22:09 2012	(r303483)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.0rc20120322.tar.xz) = 602a5a1c4e25ae054fdc2df49c19672b189978df12617748feb5307ff16b33cd
-SIZE (mplayer-1.0rc20120322.tar.xz) = 10033056
+SHA256 (mplayer-1.1.20120721.tar.xz) = 30b120bf8543b7cfad36272e3ae29a017282caa90f4d635fe157f29036393787
+SIZE (mplayer-1.1.20120721.tar.xz) = 10480368
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Juergen Lock freebsd_committer 2012-09-01 16:50:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 Herbert J. Skuhra 2012-09-02 09:54:29 UTC
Hi,

build of mplayer fails if ${OSVERSION} >= 900033 and world has been
build without clang.

Maybe the following patch should be applied:

--- Makefile.options.bak	2012-09-02 10:29:15.000000000 +0200
+++ Makefile.options	2012-09-02 10:52:41.000000000 +0200
@@ -55,7 +55,7 @@
 CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif

-.if ${OSVERSION} >= 900033
+.if ${OSVERSION} >= 900033 && exists(/usr/bin/clang) && !defined(WITH_OTCHAIN)
 WITH_BASE_CLANG=yes
 .endif

Thanks.

-- 
Herbert